import React from 'react';
import { AccessIcon } from './index';
import { render } from '@testing-library/react-native';
import '@testing-library/jest-dom/extend-expect';
import * as renderer from 'react-test-renderer';
import { StyleSheet } from 'react-native';

const styles = StyleSheet.create({
  test: {
    color: 'red',
  },
});

describe('Given an AccessIcon component', () => {

  test('Should render component', () => {
    const { getByTestId } = render (<AccessIcon />);
    expect(getByTestId('Access')).toBeTruthy();
  });

  test('Component without color should match snapshot', () => {
    const tree = renderer.create(<AccessIcon />).toJSON();
    expect(tree).toMatchSnapshot();
  });

  test('Component with custom color RED should match snapshot', () => {
    const tree = renderer.create(<AccessIcon color={'red'}/>).toJSON();
    expect(tree).toMatchSnapshot();
  });

  test('Component with width 54 and height 54 should match snapshot', () => {
    const tree = renderer.create(<AccessIcon width={54} height={54} />).toJSON();
    expect(tree).toMatchSnapshot();
  });

  test('Component with style color RED should match snapshot', () => {
    const tree = renderer.create(<AccessIcon style={styles.test} />).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
