import React, { FC } from 'react';
import Svg, { Rect } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const DragHorizontalIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'DragHorizontal'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Rect x={4} y={8} width={16} height={2} rx={1} fill={color} />
    <Rect x={4} y={14} width={16} height={2} rx={1} fill={color} />
  </Svg>
);
