import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const ServicesIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Services'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      fillRule={'evenodd'}
      clipRule={'evenodd'}
      d={'M17 8H20C21.1 8 22 8.9 22 10V14H18V13C18 12.45 17.55 12 17 12C16.45 12 16 12.45 16 13V14H8V13C8 12.45 7.55 12 7 12C6.45 12 6 12.45 6 13V14H2V10C2 8.9 2.9 8 4 8H7V6C7 4.9 7.9 4 9 4H15C16.1 4 17 4.9 17 6V8ZM9 8H15V6H9V8Z'}
      fill={color}
    />
    <Path
      d={'M16 15C16 15.55 16.45 16 17 16C17.55 16 18 15.55 18 15H22V18C22 19.1 21.1 20 20 20H4C2.9 20 2 19.1 2 18V15H6C6 15.55 6.45 16 7 16C7.55 16 8 15.55 8 15H16Z'}
      fill={color}
    />
  </Svg>
);
