import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const ShadesOneHundredIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'ShadesOneHundred'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M20 19V5C20 3.9 19.1 3 18 3H6C4.9 3 4 3.9 4 5V19H3C2.45 19 2 19.45 2 20C2 20.55 2.45 21 3 21H21C21.55 21 22 20.55 22 20C22 19.45 21.55 19 21 19H20ZM6 19V5H11V6.8C10.6 7.1 10.2 7.6 10.2 8.2C10.2 9.2 11 10 12 10C13 10 13.8 9.2 13.8 8.2C13.8 7.6 13.5 7.1 13 6.8V5H18V19H6Z'}
      fill={color}
    />
  </Svg>
);

