import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../utils';
import { borderRadiusSizes, largeShadow, spacingSizes } from '../../../constants';

export const styles = StyleSheet.create({
  textDescriptionIconButton: {
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderBottomLeftRadius: borderRadiusSizes.medium,
    borderBottomRightRadius: borderRadiusSizes.medium,
    ...largeShadow,
  },
  textDescriptionIconButtonContainer: {
    height: 76,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  textDescriptionIconButtonTextContainer: {
    maxWidth: '80%',
    paddingHorizontal: spacingSizes.large,
    text: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
    description: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
  textDescriptionIconButtonIconContainer: {
    paddingRight: spacingSizes.medium,
  },
});
