import React, { FC } from 'react';
import { TouchableOpacity, View } from 'react-native';
import { InfoListItemModel } from '../../listItemModels';
import { AtomIcon, Body2MediumText, LabelSemiBoldText } from '../../../../atoms';
import { styles } from './styles';

export const TitleDescriptionRightIcon: FC<InfoListItemModel> = ({
  Icon= AtomIcon,
  description,
  text,
}) => {
  return (
    <TouchableOpacity>
      <View style={styles.titleDescriptionRightIcon}>
        <View style={styles.titleDescriptionRightIconTextContainer}>
          <LabelSemiBoldText numberOfLines={1}>{text}</LabelSemiBoldText>
          <Body2MediumText
            color={styles.titleDescriptionRightIconDescription.color}
            numberOfLines={1}
          >
            {description}
          </Body2MediumText>
        </View>
        <View style={styles.titleDescriptionRightIconIconContainer}>
          <Icon
            width={'32'}
            height={'32'}
            color={styles.titleDescriptionRightIconIconContainer.color}
          />
        </View>
      </View>
    </TouchableOpacity>
  );
};
