import { FC } from 'react';
import { ButtonModel } from '../../atoms/buttons/buttonModels';

export interface InfoListItemModel {
  Icon?: FC,
  text?: string;
  description?: string;
}

export interface InfoListItemButtonModel extends InfoListItemModel {
  onClick?: () => void;
  disabled?: boolean;
}

export interface InfoListItemColorButtonModel extends InfoListItemButtonModel {
  color?: string;
}

export interface ListItemButtonModel extends Omit<ButtonModel, 'Icon'> {
  LeftIcon?: FC;
  RightIcon?: FC;
}

export interface ImageItemButtonModel extends Omit<InfoListItemModel, 'Icon'> {
  imageURL?: string;
  disabled?: boolean;
  onClick?: () => void;
}

export type ImageItemInfoModel = Omit<ImageItemButtonModel, 'onClick' | 'disabled'>
