import React, { FC } from 'react';
import { View } from 'react-native';
import { AvatarIcon,
  NotificationOnIcon,
  NotificationsOffIcon,
  SecondaryExtraLargeIconFlatButton } from '../../../atoms';
import { ProfileNotificationsTopBarModel } from '../topBarModels';
import { styles } from '../styles';

export const ProfileNotificationsTopBar: FC<ProfileNotificationsTopBarModel> = ({
  onProfileClick,
  onNotificationsClick,
  isNotificationsDisabled,
  backgroundColor= styles.topBar.backgroundColor,
}) => {
  const NotificationIcon = isNotificationsDisabled ? NotificationsOffIcon : NotificationOnIcon;
  return (
    <View style={[styles.topBar, { backgroundColor }]}>
      <View style={styles.topBarLeftContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={AvatarIcon} onClick={onProfileClick} />
      </View>
      <View style={styles.topBarRightContainer}>
        <SecondaryExtraLargeIconFlatButton Icon={NotificationIcon} onClick={onNotificationsClick} />
      </View>
    </View>
  );
};
