import { ListItemsModel, ListItemValueModel } from './listItems/listItemsModels';
import { ProgressBarHeaderModel, ProgressBarTimerModel } from './progressBarTimer/progressBarTimerModels';

export type {
  ListItemValueModel,
  ListItemsModel,
  ProgressBarHeaderModel,
  ProgressBarTimerModel,
};

export type Enumerate<N extends number, Acc extends number[] = []> = Acc['length'] extends N
  ? Acc[number]
  : Enumerate<N, [...Acc, Acc['length']]>

export type IntRange<F extends number, T extends number> = Exclude<Enumerate<T>, Enumerate<F>>

export type PercentageType = IntRange<0, 101>;
